> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaultcord.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Server Settings

> Update server settings



## OpenAPI

````yaml patch /servers/{id}
openapi: 3.0.0
info:
  description: VaultCord public API for developers to access resources
  version: 1.0.0
  title: VaultCord Developers API
  x-logo:
    url: https://cdn.vaultcord.com/logo.png
    backgroundColor: '#FFFFFF'
    altText: VaultCord logo
    href: https://vaultcord.com
servers:
  - description: VaultCord Developers API endpoint
    url: https://api.vaultcord.com
security:
  - bearerAuth: []
tags:
  - name: Servers
    description: Servers endpoints
  - name: Bots
    description: Bot endpoints
  - name: Backups
    description: Backup endpoints
  - name: Members
    description: Member endpoints
  - name: Alerts
    description: Alert endpoints
  - name: Whites
    description: Whitelist endpoints
paths:
  /servers/{id}:
    patch:
      tags:
        - Servers
      description: Update server settings
      operationId: updateServer
      parameters:
        - $ref: '#/components/parameters/id'
      requestBody:
        description: Details of the VaultCord server to be edited or modified
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  example: google play
                  description: Name of the server.
                botId:
                  type: integer
                  description: Custom bot ID from /bots endpoint
                  example: 5180
                guildid:
                  type: string
                  description: Discord snowflake ID for the guild.
                  example: '1218273540147646535'
                roleid:
                  type: string
                  example: '1225834185885876296'
                  description: Discord snowflake ID for the verified role.
                channelid:
                  type: string
                  description: Discord snowflake ID for the logs channel.
                  example: '1260566188124274721'
                pic:
                  type: string
                  description: >-
                    Image link, only https://imgur.com and
                    https://cdn.vaultcord.com links accepted
                  example: https://cdn.vaultcord.com/logo.png
                font:
                  type: string
                  description: Font for the text on verification page
                  enum:
                    - Poppins
                    - Minecraftia
                    - Comfortaa
                    - Lexend
                    - Inter
                    - Montserrat
                    - Kanit
                    - Open Sans
                    - Fira Code
                    - Grandstander
                    - Gluten
                    - Unbounded
                    - Mali
                    - Sansita Swashed
                  example: Minecraftia
                backgroundColor:
                  type: string
                  description: CSS "background" element. Displayed if no banner set
                  example: '#151515'
                textColor:
                  type: string
                  description: Color of all text displayed on verification page
                  example: '#FFF'
                description:
                  type: string
                  description: Bio text shown on verification page
                  example: Please verify to see the rest of our server
                githubUrl:
                  type: string
                  description: GitHub social media link
                  example: https://github.com/VaultCord
                twitterUrl:
                  type: string
                  description: Twitter (X) social media link
                  example: https://twitter.com/VaultCord
                websiteUrl:
                  type: string
                  description: Website social media link
                  example: https://vaultcord.com
                youtubeUrl:
                  type: string
                  description: YouTube social media link
                  example: https://youtube.com/@VaultCord
                banner:
                  type: string
                  description: >-
                    Banner image on the verification page. Must be
                    https://imgur.com
                  example: https://i.imgur.com/LpttueJ.gif
                cursor:
                  type: string
                  description: >-
                    Custom cursor on the verification page. Must be
                    https://imgur.com
                  example: https://i.imgur.com/VdVvG03.png
                url:
                  type: string
                  example: mylink
                  description: URL for the server verification page
                minAge:
                  type: integer
                  description: Newest Discord account age allowed, in days
                  example: 7
                redirectUrl:
                  type: string
                  description: Send users to a custom URL after verification
                  example: 30
                ipLogging:
                  type: integer
                  description: View unhashed IP address, 0 = OFF, 1 = ON
                  example: 0
                vpncheck:
                  type: integer
                  description: Block VPNs from verification, 0 = OFF, 1 = ON
                  example: 0
                mobilecheck:
                  type: integer
                  description: Block mobile networks from verification, 0 = OFF, 1 = ON
                  example: 0
                altcheck:
                  type: integer
                  description: Block alternate accounts from verification, 0 = OFF, 1 = ON
                  example: 0
                altban:
                  type: integer
                  description: Ban alt accounts automatically, 0 = OFF, 1 = ON
                  example: 0
                viewAuthedApps:
                  type: integer
                  description: >-
                    Collect social connections from member profiles, 0 = OFF, 1
                    = ON
                  example: 0
                viewGuilds:
                  type: integer
                  description: Collect servers member is in, 0 = OFF, 1 = ON
                  example: 0
                viewEmails:
                  type: integer
                  description: Collect member email address, 0 = OFF, 1 = ON
                  example: 0
                blacklist:
                  type: integer
                  description: Check blocklist on verification, 0 = OFF, 1 = ON
                  example: 0
                whitelist:
                  type: integer
                  description: Only accept allowlisted members, 0 = OFF, 1 = ON
                  example: 0
                captcha:
                  type: integer
                  description: Require captcha on verification, 0 = OFF, 1 = ON
                  example: 0
                closeVerify:
                  type: integer
                  description: >-
                    Close verification page automatically after verification, 0
                    = OFF, 1 = ON
                  example: 0
      responses:
        '200':
          $ref: '#/components/responses/serverUpdated'
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    id:
      in: path
      name: id
      schema:
        type: integer
      required: true
      example: 12
      description: ID of the resource
  responses:
    '401':
      description: >-
        API key invalid, please generate a new one from
        dash.vaultcord.com/developers
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: false
              message:
                type: string
                example: 'New login required #2'
    serverUpdated:
      description: Successfully updated VaultCord server settings
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                example: true
              message:
                type: string
                example: Successfully saved settings!
              serverId:
                type: integer
                example: 5180
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````